#
# spec file for package perl-File-Which
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-Which
Version:        1.16
Release:        0
%define cpan_name File-Which
Summary:        Portable implementation of the `which' utility
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-Which/
Source:         http://www.cpan.org/authors/id/P/PL/PLICEASE/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.80
%{perl_requires}

%description
'File::Which' was created to be able to get the paths to executable
programs on systems under which the `which' program wasn't implemented in
the shell.

'File::Which' searches the directories of the user's 'PATH' (as returned by
'File::Spec->path()'), looking for executable files having the name
specified as a parameter to 'which()'. Under Win32 systems, which do not
have a notion of directly executable files, but uses special extensions
such as '.exe' and '.bat' to identify them, 'File::Which' takes extra steps
to assure that you will find the correct file (so for example, you might be
searching for 'perl', it'll try _perl.exe_, _perl.bat_, etc.)

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
